.rules-page {
    background-image: url('../images/terms-beach-bkgd-xlg.jpg') !important;
    background-repeat: no-repeat !important;
    background-position: top !important;
    height: 100% !important;
    min-height: 1600px !important;
    background-size: contain;
}

.flex-center-container {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    align-content: center;
}

.header {
    z-index: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-wrap: nowrap;
    text-align: center;
    height: 10vh;
    max-height: 200px;
}

.logo {
    width: 200px;
    height: auto;
    margin-bottom: 0;
}

#Rules {
    display: block;
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    padding: 0 30px 15px 30px;
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(255, 255, 255);
    /* Fallback color */
    background-color: rgba(255, 255, 255, 0.25);
    /* Black w/ opacity */
}

/* Modal Content/Box */
#modal-content {
    background-color: #fefefe;
    margin: 10% auto;
    /* 15% from the top and centered */
    padding: 10px;
    border: 5px solid #c0bfe1;
    width: 100%;
    height: 800px;
    max-width: 1200px;
    /* Could be more or less, depending on screen size */
    border-radius: 15px;
    padding: 10px 15px 10px 15px;
    margin-top: 12vh;
}

#modal-header {
    font-size: 40px;
    font-weight: bold;
    color: #c0bfe1 !important;
}

#terms-agreement-container, #covid-agreement-container {
    display: none;
    overflow-y: scroll;
    height: 320px;
    border: 1px solid #d5d5d5;
    padding-left: 10px !important;
}

.terms-modal-container-fixed {
    display: block;
}

.terms-form-label {
    font-size: 14px;
    margin-bottom: 0;
}

.terms-passengers-input-container {
    margin-left: 5px;
}

.rules-header {
    font-size: 32px;
}

.terms-header-main {
    font-size: 40px;
    color: #c0bfe1;
    text-align: left;
}

.terms-subheader-main {
    margin-top: 10px;
}

.terms-ordered-list {
    padding-left: 0px;
    margin-left: 20px;
}

.terms-list-item-header {
    display: block;
    font-size: 18px;
    font-weight: 500;
    line-height: 32px;
}

.terms-passengers-container {
    padding: 10px 20px 10px 10px !important;
    max-width: 400px !important;
    margin: 20px auto !important;
    border: 1px solid #d5d5d5 !important;
}

.terms-passengers-header {
    font-size: 18px;
    line-height: 24px;
    margin-bottom: 5px;
    padding-left: 5px;
}

.terms-passengers-checkbox {
    margin-top: 0px !important;
    margin-bottom: 5px !important;
    margin-left: 10px !important;
}

.agreement-btns-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    padding-bottom: 10px;
    overflow: hidden;
    background-color: #fff;
    width: 100%;
    margin: 0 auto !important;
}

/* start buttons */

.btn-agreement-donotagree {
    float: right;
    background-color: #f7f7f7;
    border: 1px solid #ccc;
    width: auto;
    padding: 5px 60px !important;
}

.btn-agreement-agree {
    float: right;
    background-color: #1c54ec;
    border: 1px solid #0534b4;
    color: #ffffff;
    width: auto;
    padding: 5px 60px !important;
    margin-right: 10px;
}

/* end buttons */

.footer {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: end;
    height: 300px;
    width: 100%;
}

.footer-gradient {
    background-position: bottom;
    width: 100%;
    height: 300px;
    background: rgb(0, 164, 255);
    background: linear-gradient(0deg, rgba(0, 164, 255, 1) 0%, rgba(254, 250, 239, 1) 67%, rgba(255, 255, 255, 1) 100%);
}

/* start - terms and covid19 terms updates - desktop */

/* terms box off on load 
.terms-modal-container-fixed {
    display: none;
}*/

/* terms box off on load */

.terms-header-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
    height: auto;
    width: 100%;
    padding: .5em;
    margin-bottom: .5em;
}

.terms-btn-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.terms-header-main {
    /* width: 65%; use this if terms showing on load*/
    width: 100%;
    text-align: left;
}

.terms-btn-container {
    /* width: 35%; use this if terms showing on load */
    width: 100%;
}

.btn-behavior-header {
    float: right;
    background-color: #f7f7f7;
    width: auto;
    padding: 5px 30px !important;
    margin-right: 10px;
}

.btn-covid-header {
    float: right;
    background-color: #a8bdf7;
    color: #ffffff;
    width: auto;
    padding: 5px 30px !important;
}

/* end - terms and covid19 terms updates - desktop */


/*  media queries */

@media only screen and (max-width: 1200px) {

    .rules-page {
        background-image: url('../images/terms-beach-bkgd-xlg.jpg') !important;
        background-repeat: no-repeat !important;
        background-position: top !important;
        min-height: 1040px !important;
        height: 100% !important;
        background-size: contain;
    }

    #Rules {
        padding: 15px 30px;
    }

    /* Modal Content/Box */
    #modal-content {
        background-color: #fefefe;
        margin: 10% auto;
        /* 15% from the top and centered */
        padding: 10px;
        border: 5px solid #c0bfe1;
        ;
        width: 100%;
        height: 760px;
        max-width: 1200px;
        /* Could be more or less, depending on screen size */
        border-radius: 15px;
        padding: 10px 15px 10px 15px;
        margin-top: 12vh;
    }

    #terms-agreement-container, #covid-agreement-container {
        display: none;
        overflow-y: scroll;
        height: 300px;
        border: 1px solid #d5d5d5;
        padding-left: 10px !important;
    }

    #modal-header {
        font-size: 30px;
        font-weight: bold;
        color: #c0bfe1 !important;
    }

    .terms-header-main {
        font-size: 36px;
        color: #c0bfe1;
        text-align: left;
    }

    .terms-ordered-list {
        padding-left: 0px;
        margin-left: 15px;
    }

    .btn-agreement-donotagree {
        float: right;
        background-color: #f7f7f7;
        width: auto;
        padding: 5px 45px !important;
        margin-right: 15px;
    }

    .btn-agreement-agree {
        float: right;
        background-color: #1c54ec;
        color: #ffffff;
        width: auto;
        padding: 5px 45px !important;
    }

    /* terms box off on load 
    .terms-modal-container-fixed {
        display: none;
    }*/

    /* terms box off on load */

    /* start - terms and covid19 terms updates - tablet */

    .terms-header-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        height: auto;
        width: 100%;
        padding: .5em .5em 1em;
    }

    .terms-btn-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        width: 100%;
    }

    .terms-header-main {
        width: 100%;
    }

    .terms-btn-container {
        width: 100%;
    }

    .btn-behavior-header {
        float: right;
        background-color: #f7f7f7;
        color: #000000;
        width: auto;
        padding: 5px 30px !important;
        margin-right: 10px;
    }

    .btn-covid-header {
        float: right;
        background-color: #a8bdf7;
        color: #000000;
        width: auto;
        padding: 5px 30px !important;
    }

    /* end - terms and covid19 terms updates - tablet */

}

@media only screen and (max-width: 600px) {

    #Rules {
        padding: 10px 5px 5px;
    }

    .header {
        z-index: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        flex-wrap: nowrap;
        text-align: center;
        height: 10vh;
    }

    .logo {
        width: 120px;
        height: auto;
        margin-bottom: 1em;
    }

    .rules-page {
        background-image: url('../images/terms-beach-bkgd-sm.jpg') !important;
        background-repeat: no-repeat !important;
        background-position: top !important;
        min-height: 1200px !important;
        height: 100% !important;
        background-size: contain;
    }

    /* Modal Content/Box */
    #modal-content {
        background-color: #fefefe;
        margin: 90px auto 8%;
        /* 15% from the top and centered */
        padding: 15px;
        border: 5px solid #c0bfe1;
        ;
        width: 100%;
        height: 620px;
        max-width: 720px;
        /* Could be more or less, depending on screen size */
        border-radius: 10px;
        padding: 10px 15px 10px 15px;
    }

    #terms-agreement-container, #covid-agreement-container {
        display: none;
        overflow-y: scroll;
        height: 200px;
        border: 1px solid #d5d5d5;
        padding-left: 10px !important;
    }

    #modal-header {
        font-size: 24px;
        font-weight: bold;
        color: #c0bfe1 !important;
    }

    #modal-content {
        border-radius: 15px;
        padding: 5px 15px 10px 15px;
    }

    .terms-header-main {
        font-size: 28px;
        color: #c0bfe1;
        text-align: left;
    }

    .terms-ordered-list {
        padding-left: 0px;
        margin-left: 15px;
    }

    .agreement-btns-container {
        background-color: #ffffff;
        width: 100%;
        margin: 0 auto !important;
    }

    .btn-agreement-donotagree {
        float: right;
        background-color: #f7f7f7;
        width: auto;
        padding: 5px 25px !important;
        margin-right: 0;
    }

    .btn-agreement-agree {
        float: right;
        background-color: #1c54ec;
        color: #ffffff;
        width: auto;
        padding: 5px 25px !important;
    }

    /* start - terms and covid19 terms updates - mobile */

    .terms-header-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        height: auto;
        width: 100%;
        padding: .25em;
    }

    .terms-btn-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: flex-start;
        width: 100%;
    }

    .terms-header-main {
        width: 100%;
    }

    .terms-btn-container {
        width: 100%;
    }

    .btn-behavior-header {
        float: right;
        background-color: #f7f7f7;
        color: #000000;
        width: auto;
        padding: 5px 10px !important;
        margin-right: 10px;
        margin-bottom: .25em;
    }

    .btn-covid-header {
        float: right;
        background-color: #a8bdf7;
        color: #000000;
        width: auto;
        padding: 5px 10px !important;
        margin-right: 0;
    }

    /* terms box off on load 
    .terms-modal-container-fixed {
        display: block;
    }*/

    /* terms box off on load */

    /* end - terms and covid19 terms updates - mobile */

}


@media only screen and (max-width: 320px) {

    #Rules {
        padding: 5px;
    }

    .header {
        z-index: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        flex-wrap: nowrap;
        text-align: center;
        height: 4vh;
        max-height: 160px;
    }

    /* Modal Content/Box */
    #modal-content {
        background-color: #fefefe;
        margin: 8% auto;
        /* 15% from the top and centered */
        padding: 15px;
        border: 5px solid #c0bfe1;
        ;
        width: 100%;
        height: 840px;
        max-width: 720px;
        /* Could be more or less, depending on screen size */
        border-radius: 10px;
        padding: 10px 15px 10px 15px;
    }

    #terms-agreement-container, #covid-agreement-container {
        display: none;
        overflow-y: scroll;
        height: 300px;
        border: 1px solid #d5d5d5;
        padding-left: 10px !important;
    }


    .footer {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: end;
        height: 300px;
        width: 100%;
        /* margin-top: 100px; */
    }

    .footer-gradient {
        background-position: bottom;
        width: 100%;
        height: 300px;
        background: rgb(0, 164, 255);
        background: linear-gradient(0deg, rgba(0, 164, 255, 1) 0%, rgba(254, 250, 239, 1) 67%, rgba(255, 255, 255, 1) 100%);
    }

    /* start - terms and covid19 terms updates - iphone12 mini */

    .terms-header-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        height: auto;
        width: 100%;
        padding: .5em .5em 1em;
    }

    .terms-btn-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        width: 100%;
    }

    .terms-header-main {
        width: 100%;
    }

    .terms-btn-container {
        width: 100%;
    }

    .btn-behavior-header {
        float: right;
        background-color: #f7f7f7;
        color: #000000;
        width: auto;
        padding: 5px 45px !important;
        margin-right: 10px;
    }

    .btn-covid-header {
        float: right;
        background-color: #a8bdf7;
        color: #000000;
        width: auto;
        padding: 5px 45px !important;
    }

    /* terms box off on load 
    .terms-modal-container-fixed {
        display: none;
    }*/

    /* terms box off on load */

    /* end - terms and covid19 terms updates - iphone12 mini */

}